curl --request GET \
--url https://prod-api.raisedonors.com/api/MotivationCode/group/list \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://prod-api.raisedonors.com/api/MotivationCode/group/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/MotivationCode/group/list"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/MotivationCode/group/list");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/MotivationCode/group/list';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"items": [
{
"id": 720,
"name": "Year-End 2025 Appeals",
"description": "All appeals that ran during the 2025 year-end campaign.",
"codes": 2
},
{
"id": 721,
"name": "Monthly Giving Society",
"description": "Evergreen monthly giving acquisition sources.",
"codes": 3
}
],
"total": 2
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"take": [
"take must be between 1 and 1000."
]
},
"instance": "/api/MotivationCode/group/list"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/MotivationCode/group/list"
}List All Motivation Code Groups
Returns a paginated list of motivation code groups, which organize related motivation codes for reporting.
filter for a free-text search and skip and take to page through the results.Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Query Parameters
A free-text search term. Only motivation code groups whose name or description match the term are returned.
The number of records to skip before the first record returned. Use it with take to page through the results.
The maximum number of records to return in this page of results.
The field to sort the results by (case-insensitive).
The direction to sort the results. Set to true to sort in descending order.
When true, includes the related records for each item in the response. Not every list has extra records to return, and it can slow down large result sets.
Response
OK
A page of motivation code groups with the total number that match the request.
Was this page helpful?